#include <iostream>
#include <unordered_set>

int main() {
    // A custom hash function that could cause many collisions
    struct BadHash {
        std::size_t operator()(int x) const {
            return x % 10;  // Not a very good hash function
        }
    };

    std::unordered_set<int, BadHash> mySet = {10, 20, 30, 40, 50};

    mySet.insert(11);  // Likely to collide with 10

    std::cout << "Elements in mySet: ";
    for (int elem : mySet) {
        std::cout << elem << " ";
    }
    std::cout << std::endl;

    return 0;
}

